#!/bin/bash

./helper.pl --update-makefiles || exit 1

makefiles=(makefile makefile.shared makefile_include.mk makefile.msvc makefile.unix makefile.mingw)
vcproj=(libtommath_VS2008.vcproj)

if [ $# -eq 1 ] && [ "$1" == "-c" ]; then
  git add ${makefiles[@]} ${vcproj[@]} && git commit -m 'Update makefiles'
fi

exit 0

# ref:         tag: v1.1.0-rc4
# git commit:  e543ff319ab338f495663b3c55cf4a22da918562
# commit time: 2019-01-22 13:49:36 +0100
